
CoCoALib - Feature #1602

Sparse matrix (SparseMat)

02 Jul 2021 17:26 - John Abbott

Status: New Start date: 02 Jul 2021

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.20 hour

Description

Create new type for representing sparse matrices.

Then check all code which by default creates a DenseMat (because there has been no other choice so far)

Related issues:

Related to CoCoALib - Feature #1598: RingHom: implement phi(X) as apply(phi, ... Closed 10 Jun 2021

History

#1 - 19 Jul 2021 14:17 - John Abbott

- Related to Feature #1598: RingHom: implement phi(X) as apply(phi, X)  also for X vector and matrix added

#2 - 30 Sep 2021 14:13 - John Abbott

Do we want to handle structured matrices like sparse matrices?  e.g. Toeplitz matrices are specified by just a few elements.

Some sparse matrices may also have some "special structure":

e.g. a multiplication-by-indet matrix modulo a 0-dim ideal probably contains many columns which are all 0 except for one entry which is 1.

Perhaps start with KISS?

#3 - 15 Feb 2024 22:42 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900
